#ifndef _COUNT_H_
#define _COUNT_H_

#include <pthread.h>

struct count_s {
  int cnt;
  pthread_mutex_t mutex;
};

typedef struct count_s count_t;

void count_init(count_t *c);
void count_destroy(count_t *c);
int count_inc(count_t *c);
int count_dec(count_t *c);
int count_get(count_t *c);

#endif /* _COUNT_H_ */  

  
