#if HAVE_CONFIG_H
# include "config.h"
#endif


#if HAVE_STRING_H
#include <string.h>
#endif

#include "cfg.h"

char *findcfgl(config_item_t *cfg, char *name) {
  config_item_t *ci;

  for (ci = cfg; ci != NULL; ci = ci->next)
    if (0 == strcmp(name, ci->name))
      return ci->value;
  return NULL;
}

char *findcfglx(config_item_t *cfg, char *name, char *default_value) {
  char *r = findcfgl(cfg, name);
  return (NULL != r) ? r : default_value;
}

